###################################################################################################
# _language.py
#
# Implementation of class Language (see below).
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
###################################################################################################

# Imports.
import string 
import time


###################################################################################################
###################################################################################################
###
###   C l a s s   L a n g u a g e 
###
###################################################################################################
###################################################################################################
class Language:
    
    dctLangStr = {
	   'TAB_ACCESS':{'ger':'Zugriff', 'eng':'Access','fra':'Accs','esp':'Acceso'},
	   'TAB_CACHE':{'ger':'Statischer Cache', 'eng':'Static Cache'},
	   'TAB_CONFIGURATION':{'ger':'Konfiguration', 'eng':'Configuration'},
	   'TAB_DESIGN':{'ger':'Design', 'eng':'Design'},
	   'TAB_EDIT':{'ger':'Bearbeiten', 'eng':'Edit','fra':'Edit','esp':'Editar','ita':'Stampare'},
	   'TAB_TASKS':{'ger':'Aufgaben', 'eng':'Tasks'},
	   'TAB_IMPORTEXPORT':{'ger':'Import/Export', 'eng':'Import/Export'},
	   'TAB_INSERT':{'ger':'Einfgen', 'eng':'Insert','fra':'Insrer','esp':'Pegar','ita':'Incollare'},
	   'TAB_LANGUAGES':{'ger':'Sprachen', 'eng':'Languages','fra':'Langues','esp':'Lenguas'},
	   'TAB_LAYOUT':{'ger':'Layout', 'eng':'Layout'},
	   'TAB_LIVE':{'ger':'Live', 'eng':'Live'},
	   'TAB_LOCKED':{'ger':'Geperrt', 'eng':'Locked'},
	   'TAB_METADATA':{'ger':'Metadaten', 'eng':'Metadata'},
	   'TAB_METAOBJ':{'ger':'Spez. Objekte', 'eng':'Spec. Objects'},
	   'TAB_METAPATTERN':{'ger':'Module', 'eng':'Modules'},
	   'TAB_OWNERSHIP':{'ger':'Eigentmer', 'eng':'Ownership'},
	   'TAB_PREVIEW':{'ger':'Vorschau', 'eng':'Preview'},
	   'TAB_PROPERTIES':{'ger':'Eigenschaften', 'eng':'Properties','fra':'Proprits','esp':'Propiedades','ita':'Propriet'},
	   'TAB_SEARCH':{'ger':'Suche', 'eng':'Search','fra':'Recherche','esp':'Bsqueda'},
	   'TAB_SECURITY':{'ger':'Sicherheit', 'eng':'Security'},
	   'TAB_SITEMAP':{'ger':'Sitemap', 'eng':'Sitemap'}, 
	   'TAB_TEXTFORMAT':{'ger':'Formate', 'eng':'Formats'},
	   'TAB_UNDO':{'ger':'Rckgngig', 'eng':'Undo'},
	   'TAB_WORKFLOW':{'ger':'Workflow', 'eng':'Workflow'},
	   
	   'MSG_CHANGED':{'ger':'nderungen gesichert.','eng':'Content changed.'},
	   'MSG_CLIPBOARD_PASTED':{'ger':'Aus Zwischenablage eingefgt.','eng':'Pasted from clipboard.'},
	   'MSG_CONFIRM_AUTOCOMMIT':{'ger':'Mit Aktivierung von Auto-Commit geben Sie alle nderungen frei!','eng':'With activating auto-commit you will commit all pending changes!'},
	   'MSG_CONFIRM_DISCARD_CHANGES':{'ger':'Sollen Eingaben verworfen werden?','eng':'Do you really want to discard changes?'},
	   'MSG_CONFIRM_CUTOBJS':{'ger':'Sollen %i ausgewhlte Objekte wirklich ausgeschnitten werden?','eng':'Do you really want to cut %i selected objects?'},
	   'MSG_CONFIRM_CUTOBJ':{'ger':'Soll Objekt wirklich ausgeschnitten werden?','eng':'Do you really want to cut object?'},
	   'MSG_CONFIRM_DELOBJS':{'ger':'Sollen %i ausgewhlte Objekte wirklich gelscht werden?','eng':'Do you really want to delete %i selected objects?'},
	   'MSG_CONFIRM_DELOBJ':{'ger':'Soll Objekt wirklich gelscht werden?','eng':'Do you really want to delete object?'},
	   'MSG_DELETED':{'ger':'%i Objekt(e) gelscht.','eng':'%i Object(s) deleted.'},
           'MSG_EMPTYCONTAINER':{'ger':'Es gibt keine Objekte in','eng':'There are currently no items in'},
	   'MSG_EXPORTED':{'ger':'%s exportiert.','eng':'%s successfully exported.'},
	   'MSG_IMPORTED':{'ger':'Datei %s importiert.','eng':'File %s successfully imported.'},
	   'MSG_INSERTED':{'ger':'%s eingefgt.','eng':'%s inserted.'},
	   'MSG_NOITEMSSPECIFIED':{'ger':'Es wurden keine Eintrge ausgewhlt!','eng':'No items were specified!'},
           'MSG_NOTASKS':{'ger':'Es gibt keine Aufgaben in','eng':'There are currently no tasks in'},
	   'MSG_MOVEDOBJDOWN':{'ger':'%s nach unten verschoben.','eng':'Moved %s down.'},
	   'MSG_MOVEDOBJUP':{'ger':'%s nach oben verschoben.','eng':'Moved %s up.'},
	   'MSG_REQUIRED':{'ger':"Feld '%s' mu einen Wert haben!",'eng':"Missing value for field '%s'!"},
	   'MSG_UPLOADED':{'ger':'Datei hochgeladen.','eng':'File uploaded.'},
	   'MSG_AFTER_INSERT':{'ger':'ndern erst nach Einfgen von %s!','eng':'Can be changed after insert of %s!'},
	   'MSG_DUMMY':{
	   'ger':' \
           ','eng':' \
           '},           
	   'MSG_REPLACEALL':{'ger':'Sollen alle %i Vorkommnisse von >%s< ausgezeichnet werden?','eng':'Replace all %i occurances of >%s<?'},
	   'MSG_ROLLBACKVERSIONCHANGES':{
	   'ger':' \
Mit Zurcknehmen lschen Sie unwiderruflich die Arbeitsversion und ersetzen diese durch die aktuelle Liveversion!\
           ','eng':' \
Rollback irrevocably replaces the working version with the current live version! \
           '},           
	   'MSG_AUTOCOMMIT':{
	   'ger':' \
Aktivieren oder deaktivieren Sie den integrierten Workflow-Mechanismus. \
Der Workflow-Mechnismus wird aktiviert, falls nderungen an den Objekten nicht \
automatisch besttigt werden. \
           ','eng':' \
Activate or deactivate the integrated workflow-mechanism. \
The workflow-mechanism is activated if modifications of the objects are not \
committed automatically. \
           '},           
	   'MSG_CACHE':{
	   'ger':' \
Aktivieren oder deaktivieren Sie den integrierten statischen Cache-Mechanismus. \
           ','eng':' \
Activate or deactivate the integrated static cache-mechanism. \
           '},           
	   'MSG_UPDATE_CATALOG':{
	   'ger':' \
Aktualisieren Sie den Suchindex falls Objekte gendert wurden. \
           ','eng':' \
Refresh the catalog-index if objects were modified. \
           '},           
	   'MSG_FTP':{
	   'ger':' \
Geben Sie hier die Zugangsdaten fr den FTP-Export der kompletten WWW-Site \
zu Ihrem Provider an. Geben Sie im Feld IP-Adresse / Domne den DNS-Eintrag Ihrer \
Domne an (beispielsweise <em>www.mydomain.de</em>). Unter Export knnen Sie den FTP-Export starten.\
           ','eng':' \
Please enter the access parameters for the FTP-export of the whole WWW-Site \
to your provider. Please enter the DNS-name of your domain into the field IP / Domain \
(e.g. <em>www.mydomain.org</em>). You can start the FTP-export at the Export section. \
           '},           
	   'MSG_INACTIVE':{
	   'ger':' \
<p class="form-small">S E R V E R - F E H L E R</p> \
<p class="ftStrong">Dokument nicht gefunden</p> \
<hr> \
<p>Die von Ihnen gewhlte Adresse/URL ist auf unserem Server nicht bzw. nicht mehr vorhanden.</p> \
<p>Mglicherweise haben Sie einen veralteten Link bzw. ein altes Bookmark verwendet. \
Versuchen Sie den von Ihnen gewnschten Inhalt ber unsere Homepage oder ber unser Archiv zu finden.</p> \
<p>Wenn Sie einem Link in unserem Angebot gefolgt sind, versuchen Sie es bitte in einigen Minuten noch einmal.</p> \
<p>Sollten Sie noch weitere Fragen zu unserem Angebot haben, so schauen Sie bitte in die Hilfe oder schreiben Sie uns eine E-Mail.</p> \
','eng':' \
<p class="form-small">S E R V E R - E R R O R</p> \
<p class="ftStrong">Document not found</p> \
<hr> \
<p>The document you requested does not exist on this server.</p> \
<p>Please double check the URL or use the search function on this page to find what you are looking for.</p> \
<p>If you know you have the correct URL but are encountering an error, please let our Webmaster know. Thank you. </p> \
'},           
	   'MSG_MULTILANG':{
	   'ger':' \
In der symmetrischen Multilingualitt wird fr jede Sprache eine identische Variante der Objekte des Content-Baums angelegt. \
           ','eng':' \
In symmetrical multiligualism an identic variant of the content tree objects is realized for every language.. \
           '},     
           
	   'MSG_MULTILANGDICT':{
	   'ger':' \
Im Wrterbuch werden Schlsselwrter fr multilinguale Templates hinterlegt. \
           ','eng':' \
Register keywords for multilingual templates in the dictionary. \
           '},     
           
	   'MSG_METADICT':{
	   'ger':' \
Metadaten sind przise Informationen ber (meta) den Inhalt des Dokuments; sie charakterisieren den Inhalt mithilfe eines festgelegten Satzes an Beschreibungs-Elementen (z.B. Titel, Autor, Datum, Verleger, Schlagworte etc.). \
           ','eng':' \
Metadata are precise information about (meta) the document content. They characterize the content with the help of a fixed number of description elements (e.g. title, author, date, editor, subjects etc.). \
           '},     
           
	   'MSG_METAOBJ':{
	   'ger':' \
Spezielle Objekte sind Ihre eigenen frei konfigurierbaren und vorstrukturierten ZMS-Objekte. \
Objekte werden direkt im Textkrper dargestellt, Dokumente stellen eigene Seiten dar und Teaser-Elemente werden im Teaser dargestellt. \
           ','eng':' \
Special objects allow you to define your own custom structured ZMS objects. \
Objects are displayed in the textbody, documents represent pages and teaserelements are diplay in the teaser. \
           '},     
           
	   'MSG_METAPATTERN':{
	   'ger':' \
Module sind Ihre eigenen frei konfigurierbaren und vorstrukturierten ZMS-Entwurfsmuster (z.B. Newsletter, Diskussionsforum). \
           ','eng':' \
Modules allow you to define your own custom structured ZMS design-patterns (e.g. newsletter, bulletin-boards). \
           '},     
           
	   'OPT_ATTR_DC_TYPE':{
	   'ger':'Home\nChannel\nArtikel\nNews\nResource\nTermin',\
	   'eng':'Home\nChannel\nArticle\nNews\nResource\nDate'},
	   'OPT_ATTR_CHANNEL':{
	   'ger':'News\nProdukte\nService\nPartner\nFirma',\
	   'eng':'News\nProducts\nService\nPartners\nCompany'},
	   
           'LITERATURE_REFERENCE_ONLY':{'ger':'nur fr Literaturreferenz','eng':'literature reference only'},
           
           'ATTR_ALIAS':{'ger':'Alias','eng':'Alias'},
           'ATTR_ATTR':{'ger':'Attribut','eng':'Attribute','fra':'Attribut','esp':'Atributo'},
           'ATTR_ATTRS':{'ger':'Attribute','eng':'Attributes','fra':'Attributs','esp':'Atributos'},
	   'ATTR_ATTRS_SPEC':{'ger':'Spezielle Attribute','eng':'Special Attributes'},
	   'ATTR_ACTIVE':{'ger':'aktiv','eng':'active','fra':'Actif','esp':'Activo'},
	   'ATTR_AUTHOR':{'ger':'Autor','eng':'Author','fra':'Auteur','esp':'Autor'},
	   'ATTR_AUTHORS':{'ger':'Autoren','eng':'Authors','fra':'Auteurs','esp':'Autores'},
	   'ATTR_AVAILABLE':{'ger':'vorhanden','eng':'available'},
	   'ATTR_BGCOLOR':{'ger':'Hintergrundfarbe','eng':'Background Color'},
	   'ATTR_BGCOLORS':{'ger':'Hintergrundfarben','eng':'Background Colors'},
	   'ATTR_BGCOLOR_BORDER':{'ger':'Rahmen','eng':'Border','fra':'Encadrer'},
	   'ATTR_BGCOLOR_TEXT':{'ger':'Text','eng':'Text','fra':'Texte','esp':'Texto'},
	   'ATTR_BGCOLOR_TITLE':{'ger':'Titel','eng':'Title','fra':'Titre','esp':'Ttulo'},
	   'ATTR_BORDERSTYLE':{'ger':'Rahmen','eng':'Borderstyle','fra':'Encadrer'},
	   'ATTR_CACHEABLE':{'ger':'Cacheable','eng':'Cacheable'},
	   'ATTR_CALENDAR':{'ger':'Kalender','eng':'Calendar','fra':'Calendrier','esp':'Calendario'},
	   'ATTR_CAPTION':{'ger':'Beschriftung','eng':'Caption','esp':'Ttulo'},
	   'ATTR_CELL':{'ger':'Zelle','eng':'Cell','fra':'Cellule','esp':'Clula'},
	   'ATTR_CHANNEL':{'ger':'Channel','eng':'Channel','esp':'Canal'},
	   'ATTR_CHANGES':{'ger':'nderungen','eng':'Modifications','fra':'Changements','esp':'Modificaciones'},
	   'ATTR_CHECKED_OUT':{'ger':'In Bearbeitung','eng':'Checked out'},
	   'ATTR_COLS':{'ger':'Spalten','eng':'Columns','fra':'Colonnes','esp':'Columnas'},
	   'ATTR_CONFIRM':{'ger':'Wiederholung','eng':'Confirm'},
	   'ATTR_CUSTOM':{'ger':'Benutzerdefiniert','eng':'Custom'},
	   'ATTR_DATE':{'ger':'Datum','eng':'Date','fra':'Date','esp':'Fecha'},
	   'ATTR_DATEFORMAT':{'ger':'Datumsformat','eng':'Date format'},
	   'ATTR_DC_COVERAGE':{'ger':'Reichweite','eng':'Coverage','fra':'Envergure','esp':'Cobertura'},
	   'ATTR_DC_CREATOR':{'ger':'Autor','eng':'Author','fra':'Auteur','esp':'Autor'},
	   'ATTR_DC_DESCRIPTION':{'ger':'Zusammenfassung','eng':'Description','fra':'Description','esp':'Descripcin'},
	   'ATTR_DC_SUBJECT':{'ger':'Schlagworte','eng':'Subject'},
	   'ATTR_DC_TYPE':{'ger':'Dokumenttyp','eng':'Documenttype'},
	   'ATTR_DEFAULT':{'ger':'Default','eng':'Default','fra':'Dfaut','esp':'Falta'},
	   'ATTR_DESCRIPTION':{'ger':'Beschreibung','eng':'Description','fra':'Description','esp':'Descripcin'},
	   'ATTR_DISPLAY':{'ger':'Anzeige','eng':'Display'},
	   'ATTR_DOWNLOADS':{'ger':'Downloads','eng':'Downloads'},
	   'ATTR_EMAIL':{'ger':'E-Mail','eng':'E-Mail'},
	   'ATTR_END_DAT':{'ger':'bis','eng':'until','fra':'jusqu\'','esp':'hasta'},
	   'ATTR_LEVELNFC':{'ger':'Gliederung','eng':'Subsections'},
	   'ATTR_EXPORT':{'ger':'Export','eng':'Export'},
	   'ATTR_FGCOLOR':{'ger':'Vordergrundfarbe','eng':'Foreground Color'},
	   'ATTR_FILE':{'ger':'Datei','eng':'File','fra':'Fichier','esp':'Archivo'},
	   'ATTR_FORMAT':{'ger':'Format','eng':'Format','fra':'Format','esp':'Formato'},
	   'ATTR_HEIGHT':{'ger':'Hhe','eng':'Height','fra':'Hauteur','esp':'Altura'},
	   'ATTR_ID':{'ger':'Id','eng':'Id','fra':'Id','esp':'Id'},
	   'ATTR_IMAGE':{'ger':'Bild','eng':'Image','fra':'Image','esp':'Imagen'},
	   'ATTR_IMGHIRES':{'ger':'Bild (HighRes)','eng':'Image (HighRes)','fra':'Image (HighRes)','esp':'Imagen (HighRes)'},
	   'ATTR_IMGALIGN':{'ger':'Bildausrichtung','eng':'Image alignment'},
	   'ATTR_IMPORT':{'ger':'Import','eng':'Import'},
	   'ATTR_KEY':{'ger':'Schlssel','eng':'Key','fra':'Clef','esp':'Llave'},
	   'ATTR_KEYS':{'ger':'Schlssel','eng':'Keys','fra':'Clefs','esp':'Llaves'},
	   'ATTR_KEYWORDS':{'ger':'Schlsselwrter','eng':'Keywords'},
	   'ATTR_LANG':{'ger':'Sprache','eng':'Language','fra':'Langue','esp':'Lengua'},
	   'ATTR_LANGS':{'ger':'Sprache(n)','eng':'Language(s)','fra':'Langues','esp':'Lenguas'},
	   'ATTR_LAST_MODIFIED':{'ger':'Zuletzt gendert','eng':'Last modified'},
	   'ATTR_LAST_MODIFIER':{'ger':'Gendert von','eng':'Modified by'},
	   'ATTR_LAST_UPDATED':{'ger':'Zuletzt aktualisiert','eng':'Last refresh'},
	   'ATTR_MANDATORY':{'ger':'Pflicht','eng':'Mandatory'},
	   'ATTR_META_TYPE':{'ger':'Dokumenttyp','eng':'Document type'},
	   'ATTR_MIME_TYPE':{'ger':'MIME-Typ','eng':'MIME-Type'},
	   'ATTR_MULTIPLE':{'ger':'mehrfach','eng':'multiple','fra':'multiple','esp':'mltiple'},
	   'ATTR_MODIFIED':{'ger':'Gendert','eng':'Modified','fra':'Modifi','esp':'Modificado'},
	   'ATTR_NAME':{'ger':'Name','eng':'Name','fra':'Nom','esp':'Nombre'},
	   'ATTR_NONE':{'ger':'Kein(e)','eng':'None'},
	   'ATTR_OBJECTS':{'ger':'Objekt(e)','eng':'Object(s)','fra':'Objets','esp':'Objetos'},
	   'ATTR_OPTION':{'ger':'Option','eng':'Option','fra':'Option','esp':'Opcin'},
	   'ATTR_PARAGRAPH':{'ger':'Absatz','eng':'Paragraph'},
	   'ATTR_PARENT':{'ger':'Vorgnger','eng':'Parent'},
	   'ATTR_PASSWORD':{'ger':'Passwort','eng':'Password','fra':'Mot de passe','esp':'Contrasea'},
	   'ATTR_PATH':{'ger':'Pfad','eng':'Path','fra':'Chemin','esp':'Camino'},
	   'ATTR_PENETRANCE':{'ger':'Penetranz','eng':'Penetrance'},
	   'ATTR_PRIMARY':{'ger':'Primr','eng':'Primary','fra':'Primaire','esp':'Primario'},
	   'ATTR_PRIMITIVE':{'ger':'Primitiv','eng':'Primitive'},
	   'ATTR_PRINTVERSION':{'ger':'Druckversion','eng':'Printversion'},
	   'ATTR_PRODUCTS':{'ger':'Produkt(e)','eng':'Product(s)'},
	   'ATTR_PUBLISHER':{'ger':'Verleger','eng':'Publisher','fra':'diteur','esp':'Editor'},
	   'ATTR_REFRESH':{'ger':'Aktualisierung','eng':'Refresh'},
	   'ATTR_REPETITIVE':{'ger':'Mehrfach','eng':'Repetitive'},
	   'ATTR_REQUIRES':{'ger':'bentigt','eng':'requires'},
	   'ATTR_RICHEDIT':{'ger':'Richedit','eng':'Richedit'},
	   'ATTR_ROBOTS':{'ger':'Suchmaschinen','eng':'Robots'},
	   'ATTR_ROLE':{'ger':'Rolle','eng':'Role'},
	   'ATTR_ROLES':{'ger':'Rollen','eng':'Roles','fra':'Rles','esp':'Papeles'},
	   'ATTR_ROWS':{'ger':'Zeilen','eng':'Rows','fra':'Ranges','esp':'Filas'},
	   'ATTR_SEARCHTERM':{'ger':'Suchbegriff','eng':'Search term'},
	   'ATTR_SELECTED':{'ger':'ausgewhlt','eng':'selected'},
	   'ATTR_SEPARATED':{'ger':'getrennt','eng':'separated'},
	   'ATTR_SIZE':{'ger':'Gre','eng':'Size','fra':'Taille','esp':'Tamao'},
	   'ATTR_SOURCE':{'ger':'Quelle','eng':'Source','fra':'Source','esp':'Fuente'},
	   'ATTR_START_DAT':{'ger':'von','eng':'from','fra':'de','esp':'de'},
	   'ATTR_STATISTICS':{'ger':'Statistik','eng':'Statistics'},
	   'ATTR_STYLESHEET':{'ger':'Stylesheet','eng':'Stylesheet'},
	   'ATTR_SUBJECT':{'ger':'Thema','eng':'Subject'},
	   'ATTR_TAG':{'ger':'Tag','eng':'Tag'},
	   'ATTR_TITLE':{'ger':'Titel','eng':'Title','fra':'Titre','esp':'Ttulo'},
	   'ATTR_TITLEIMAGE':{'ger':'Titel (Bild)','eng':'Title (Image)'},
	   'ATTR_TITLESHORT':{'ger':'Kurztitel','eng':'Title (short)'},
	   'ATTR_TEXT':{'ger':'Text','eng':'Text','fra':'Texte','esp':'Texto'},
	   'ATTR_TEXTALIGN':{'ger':'Textausrichtung','eng':'Text alignment'},
	   'ATTR_TYPE':{'ger':'Typ','eng':'Type','fra':'Type','esp':'Tipo'},
	   'ATTR_TOC':{'ger':'Inhaltsverzeichnis','eng':'Table of contents'},
	   'ATTR_URL':{'ger':'URL','eng':'URL'},
	   'ATTR_USER':{'ger':'Benutzer','eng':'User'},
	   'ATTR_USERID':{'ger':'Kennung','eng':'User-Id'},
	   'ATTR_WIDTH':{'ger':'Breite','eng':'Width','fra':'Largeur','esp':'Anchura'},
	   'ATTR_WYSIWYG':{'ger':'WYSIWYG','eng':'WYSIWYG'},
	   
	   # options::attr_borderstyle
	   'OPT_AB_SOLID':{'ger':'Komplett','eng':'Solid','fra':'Solide','esp':'Slido'},
	   'OPT_AB_SINGLE':{'ger':'Einzeln','eng':'Single','fra':'Simple','esp':'Solo'},
	   'OPT_AB_NONE':{'ger':'Kein','eng':'None','fra':'Personne','esp':'Ninguno'},
	   # options::attr_penetrance
	   'OPT_AP_THIS':{'ger':'dieses Objekt','eng':'this object'},
	   'OPT_AP_SUB_NAV':{'ger':'alle Rubrik-Seiten der Subhierarchie','eng':'all folder-pages of sub-hierarchy'},
	   'OPT_AP_SUB_ALL':{'ger':'komplette Subhierarchie','eng':'complete sub-hierarchy'},
	   # options::align
	   'OPT_A_LEFT':{'ger':'Linksbndig','eng':'Left','esp':'A la izquierda','ita':'Alla sinistra'},
	   'OPT_A_RIGHT':{'ger':'Rechtsbndig','eng':'Right','esp':'A la derecha','ita':'Al centro'},
	   'OPT_A_CENTER':{'ger':'Zentriert','eng':'Center','esp':'Centrar','ita':'Alla destra'},
	   'OPT_A_TOP':{'ger':'Oben','eng':'Top'},
	   'OPT_A_MIDDLE':{'ger':'Mitte','eng':'Middle'},
	   'OPT_A_BOTTOM':{'ger':'Unten','eng':'Bottom'},
	   # options::format
	   'OPT_F_HEADLINE1':{'ger':'berschrift 1','eng':'Headline 1','fra':'Titre 1','esp':'Titular 1'},
	   'OPT_F_HEADLINE2':{'ger':'berschrift 2','eng':'Headline 2','fra':'Titre 2','esp':'Titular 2'},
	   'OPT_F_HEADLINE3':{'ger':'berschrift 3','eng':'Headline 3','fra':'Titre 3','esp':'Titular 3'},
	   'OPT_F_HEADLINE4':{'ger':'berschrift 4','eng':'Headline 4','fra':'Titre 4','esp':'Titular 4'},
	   'OPT_F_HEADLINE5':{'ger':'berschrift 5','eng':'Headline 5','fra':'Titre 5','esp':'Titular 5'},
	   'OPT_F_HEADLINE6':{'ger':'berschrift 6','eng':'Headline 6','fra':'Titre 6','esp':'Titular 6'},
	   'OPT_F_BODY':{'ger':'Bodytext','eng':'Body'},
	   'OPT_F_ORDEREDLIST':{'ger':'Nummerierung','eng':'Numbered List'},
	   'OPT_F_UNORDEREDLIST':{'ger':'Aufzhlung','eng':'Bulleted List'},
	   'OPT_F_INDENTEDBLOCK':{'ger':'Einzug (z.B. Zitate)','eng':'Indented block (e.g. quotations)'},
	   'OPT_F_EMPHASIS':{'ger':'Merksatz','eng':'Emphasis'},
	   'OPT_F_CAPTION':{'ger':'Beschriftung','eng':'Caption'},
	   'OPT_F_PLAINHTML':{'ger':'HTML','eng':'HTML'},
	   # options::refresh
	   'OPT_REFRESH_0':{'ger':'sofort','eng':'immediately'},
	   'OPT_REFRESH_1D':{'ger':'1x tglich','eng':'once per day'},
	   # options::type
	   'OPT_TYPE_INPUT':{'ger':'String','eng':'String'},
	   'OPT_TYPE_TEXTAREA':{'ger':'Text','eng':'Text'},
	   'OPT_TYPE_SELECT':{'ger':'Auswahl','eng':'Select'},
	   'OPT_TYPE_MULTISELECT':{'ger':'Mehrfach-Auswahl','eng':'Multi-Select'},
	   # options::style
	   'OPT_S_BOLD':{'ger':'Fett','eng':'Bold','esp':'Negrita','ita':'Grassetto'},
	   'OPT_S_ITALIC':{'ger':'Kursiv','eng':'Italic','esp':'Cursiva','ita':'Corsivo'},
	   'OPT_S_UNDERLINE':{'ger':'Unterstrichen','eng':'Underline','esp':'Subrayar','ita':'Sottolineatto'},
	   'OPT_S_SUP':{'ger':'Hochgestellt','eng':'Superscript'},
	   'OPT_S_SUB':{'ger':'Tiefgestellt','eng':'Subscript'},
	   'OPT_S_CODE':{'ger':'Code','eng':'Code'},
	   'OPT_S_INSCHAR':{'ger':'Symbol','eng':'Special Character'},
	   'OPT_S_HORIZRULE':{'ger':'Waagerechte Linie','eng':'Horizontal Rule'},
	   'OPT_S_ANCHOR':{'ger':'Hyperlink','eng':'Hyperlink','fra':'Hyperlink','esp':'Hiperlink','ita':'Hyperlink'},
	   # options::sitemap_layout
	   'SITEMAPLAYOUT0':{'ger':'Explorer-Style','eng':'Explorer-Style','fra':'Explorer-Style','esp':'Explorer-Style','ita':'Explorer-Style'},
	   'SITEMAPLAYOUT1':{'ger':'Horizontal','eng':'Horizontal'},
	   'SITEMAPLAYOUT2':{'ger':'Vertikal','eng':'Vertical'},
	   # options: number type
	   'LEVELNFC0':{'ger':'Arabisch (1, 2, 3)','eng':'Arabic (1, 2, 3)'},
	   'LEVELNFC1':{'ger':'Grobuchstaben (A, B, C)','eng':'Uppercase letter (A, B, C)'},
	   'LEVELNFC2':{'ger':'Kleinbuchstaben (a, b, c)','eng':'Lowercase letter (a, b, c)'},
	   # options: tasks
	   'TASKTYPE0':{'ger':'in Arbeit befindliche Objekte','eng':'modified objects'},
	   'TASKTYPE1':{'ger':'zur Freigabe beantragte Objekte','eng':'commit-requested objects'},
	   'TASKTYPE2':{'ger':'abgelehnte Objekte','eng':'rolled-back objects'},
	   'TASKTYPE3':{'ger':'Notiz-Objekte','eng':'note-objects'},
	   'TASKTYPE4':{'ger':'zu bersetzende Objekte','eng':'objects to be translated'},
	   #
	   
	   'TYPE_ZMSOBJECT':{'ger':'Objekt','eng':'Object','fra':'Objet'},
	   'TYPE_ZMS':{'ger':'WWW-Site','eng':'WWW-site','fra':'WWW-Site','esp':'WWW-Site'},
	   'TYPE_ZMSSYSFOLDER':{'ger':'Systemordner','eng':'Systemfolder'},
	   'TYPE_ZMSRUBRIK':{'ger':'Rubrik','eng':'Folder','fra':'Dossier','esp':'Carpeta'},
	   'TYPE_ZMSDOCUMENT':{'ger':'Dokument','eng':'Document','fra':'Document','esp':'Documento'},
	   'TYPE_ZMSTEXTAREA':{'ger':'Textabschnitt','eng':'Text','fra':'Texte','esp':'Texto'},
	   'TYPE_ZMSTEASERCONTAINER':{'ger':'Teaser','eng':'Teaser','fra':'Teaser','esp':'Teaser'},
	   'TYPE_ZMSTEASERELEMENT':{'ger':'Teaser-Element','eng':'Teaserelement','fra':'Teaserelment','esp':'Teaserelemento'},
	   'TYPE_ZMSGRAPHIC':{'ger':'Abbildung','eng':'Image','fra':'Image','esp':'Imagen'},
	   'TYPE_ZMSTABLE':{'ger':'Tabelle','eng':'Table','fra':'Table','esp':'Mesa'},
	   'TYPE_ZMSFILE':{'ger':'Datei','eng':'File','fra':'Fichier','esp':'Archivo'},
	   'TYPE_ZMSNOTE':{'ger':'Notiz','eng':'Note','fra':'Note','esp':'Nota'},
	   'TYPE_ZMSCUSTOM':{'ger':'Metaobjekt','eng':'Metaobject'},
	   'TYPE_ZMSLINKCONTAINER':{'ger':'Linksammlung','eng':'Linkcollection'},
	   
	   'BTN_ACQUIRE':{'ger':'Akquirieren','eng':'Acquire','fra':'Acqurir','esp':'Adquirir'},
	   'BTN_AQTOP':{'ger':'von oben','eng':'from top'},
	   'BTN_AQBOTTOM':{'ger':'nach unten','eng':'to bottom'},
	   'BTN_CANCEL':{'ger':'Abbrechen','eng':'Cancel','fra':'Annuler','esp':'Cancelar','ita':'Annullare'},
	   'BTN_CHANGE':{'ger':'ndern','eng':'Change','esp':'Cambiar','ita':'Cambiare'},
	   'BTN_CLEAR':{'ger':'Leeren','eng':'Clear'},
	   'BTN_CLOSE':{'ger':'Schliessen','eng':'Close'},
	   'BTN_COMMIT':{'ger':'Freigeben','eng':'Commit'},
	   'BTN_DELETE':{'ger':'Lschen','eng':'Delete','fra':'Supprimer','esp':'Borrar','ita':'Cancellare'},
	   'BTN_EDIT':{'ger':'Bearbeiten','eng':'Edit','fra':'Travailler','esp':'Editar','ita':'Stampare'},
	   'BTN_EXPORT':{'ger':'Exportieren','eng':'Export','fra':'Exporter'},
	   'BTN_IMPORT':{'ger':'Importieren','eng':'Import','fra':'Importer'},
	   'BTN_INIT':{'ger':'Initialisieren','eng':'Init','fra':'Initialiser'},
	   'BTN_INSERT':{'ger':'Einfgen','eng':'Insert','fra':'Insrer'},
	   'BTN_LOGOUT':{'ger':'Logout','eng':'Logout'},
	   'BTN_OPEN':{'ger':'ffnen','eng':'Open','fra':'Ouvrir','esp':'Abierto'},
	   'BTN_OVERTAKE':{'ger':'bernehmen','eng':'Overtake'},
	   'BTN_OVERWRITE':{'ger':'berschreiben','eng':'Overwrite'},
	   'BTN_PING':{'ger':'Ping','eng':'Ping','fra':'Ping','esp':'Ping'},
	   'BTN_REDO':{'ger':'Wiederherstellen','eng':'Redo'},
	   'BTN_REFRESH':{'ger':'Aktualisieren','eng':'Refresh','fra':'Rafrachir','esp':'Refrescar'},
	   'BTN_REJECT':{'ger':'Ablehnen','eng':'Reject'},
	   'BTN_RENAME':{'ger':'Umbenennen','eng':'Rename'},
	   'BTN_REQUESTCOMMIT':{'ger':'Freigabe beantragen','eng':'Request commit'},
	   'BTN_RESET':{'ger':'Zurcksetzen','eng':'Reset','fra':'Remettre','esp':'Recomponer'},
	   'BTN_ROLLBACK':{'ger':'Zurcknehmen','eng':'Rollback'},
	   'BTN_SEARCH':{'ger':'Suche','eng':'Find','fra':'Recherche','esp':'Bsqueda'},
	   'BTN_SLCTALL':{'ger':'Alle auswhlen','eng':'Select all'},
	   'BTN_SLCTNONE':{'ger':'Nichts auswhlen','eng':'Select none'},
	   'BTN_UNDO':{'ger':'Rckgngig','eng':'Undo','fra':'Dfaire','esp':'Deshacer'},
	   'BTN_UPLOAD':{'ger':'Hochladen','eng':'Upload','fra':'Tlcharger'},
	   'BTN_ZOOM':{'ger':'Zoom','eng':'Zoom'},

	   'SEARCH_HEADER':{'ger':'Suche','eng':'Search','fra':'Recherche','esp':'Bsqueda'},
	   'SEARCH_HEADERAGAIN':{'ger':'Erneute Suche','eng':'Search again'},
	   'SEARCH_HINT':{'ger':'Bitte tragen Sie einen<br>Begriff ein und klicken<br>Sie auf &quot;Suchen&quot;. Die<br>Optionen knnen<br>normalerweise<br>unverndert bleiben.<br>','eng':'Please enter a String<br>and click &quot;search&quot;.<br>In most cases the Options<br>can remain unchanged.<br>'},
	   'SEARCH_HEADERRESULT':{'ger':'Suchresultat','eng':'Results'},
	   'SEARCH_YOURQUERY':{'ger':"Ihre Suche nach dem Begriff: '%s'",'eng':"Your search for: '%s'"},
	   'SEARCH_NORESULTS':{'ger':'erzielte keinen Treffer, bitte versuchen Sie es erneut. berprfen Sie die Schreibweise Ihres Suchbegriffs.','eng':'returned no results. Please revise your search.'},
	   'SEARCH_RETURNEDRESULTS':{'ger':'erzielte folgende Ergebnisse','eng':'returned the following results'},
	   'SEARCH_RETURNEDSTATS':{'ger':'Dokument %i - %i von %i Treffern','eng':'Documents %i - %i of %i matches'},
	   'SEARCH_PREVIOUS':{'ger':'Vorherige %i Ergebnisse','eng':'Previous %i results'},
	   'SEARCH_NEXT':{'ger':'Nchste %i Ergebnisse','eng':'Next %i results'},
	   'ORDERBY':{'ger':'Sortierung nach','eng':'Order by','fra':'Ordre par','esp':'Orden por'},
	   'SEARCH_ORDERBY1':{'ger':'Treffer','eng':'Score','fra':'Score','esp':'Cuenta'},
	   'SEARCH_ORDERBY2':{'ger':'Datum','eng':'Date','fra':'Date','esp':'Fecha'},
	   'PAGETOP':{'ger':'Seitenanfang','eng':'Top'},
	   'AND':{'ger':'Und','eng':'And','fra':'Et','esp':'y'},
	   'OR':{'ger':'Oder','eng':'Or','fra':'Ou','esp':'o'},
	   'ABOUT':{'ger':'Impressum','eng':'About'},
	   'BACK':{'ger':'Zurck','eng':'Back','fra':'En arrire','esp':'Atrs'},
	   'BY':{'ger':'von','eng':'by','fra':'par'},
	   'ON':{'ger':'am','eng':'on','fra':'','esp':'en'},
	   'AT':{'ger':'um','eng':'at'},
	   'MORE':{'ger':'Mehr','eng':'More','fra':'Plus','esp':'Ms'},
	   'YOU_ARE':{'ger':'Sie sind','eng':'You are','fra':'Vous tes','esp':'Ud es'},
	   'WITH_BEST_REGARDS':{'ger':'Mit freundlichen Gren,','eng':'With best regards,'},
	   'IP_OR_DOMAIN':{'ger':'IP-Adresse / Domne','eng':'IP / Domain'},

	   'EXPORT_HTMLSTREAM_ZIP':{'ger':'HTML-Strom incl. aller Objekte als Zip-File','eng':'Zipped HTML-stream incl. all resources'},
	   'EXPORT_HTMLSTREAM_BROWSER':{'ger':'HTML-Strom direkt im Browser','eng':'HTML-stream in the browser'},
	   
	   'ROLE_ZMSADMINISTRATOR':{'ger':'Administrator','eng':'Administrator','fra':'Administrateur','esp':'Administrador'},
	   'ROLE_ZMSEDITOR':{'ger':'Redakteur','eng':'Editor','fra':'Rdacteur','esp':'Redactor'},
	   'ROLE_ZMSAUTHOR':{'ger':'Autor','eng':'Author','fra':'Auteur','esp':'Autor'},
	   'ROLE_ZMSSUBSCRIBER':{'ger':'Abonnent','eng':'Subscriber'},
	   
	   'STATE_NEW':{'ger':'Neu','eng':'New','fra':'Nouveau','esp':'Nuevo','ita':'Nuovo'},
	   'STATE_MODIFIED':{'ger':'Gendert','eng':'Modified','fra':'Modifi','esp':'Modificado'},
	   'STATE_DELETED':{'ger':'Gelscht','eng':'Deleted','fra':'Supprim','esp':'Suprimido'},
	   'STATE_LOCKED':{'ger':'Gesperrt','eng':'Locked'},
	   'STATE_REJECTED':{'ger':'Freigabe abgelehnt','eng':'Commit rejected'},
	   'STATE_REQUESTED':{'ger':'Freigabe beantragt','eng':'Requested commit'},
	   'STATE_ROLLEDBACK':{'ger':'nderungen zurckgenommen','eng':'Modifications rolled back'},
	   'STATE_TRANSLATE':{'ger':'Zu bersetzen!','eng':'To be translated!'},
	   
	   'CAPTION_CHOOSEOBJ':{'ger':'Whlen Sie ein Objekt aus','eng':'Please choose an object'},
	   'CAPTION_CHOOSE':{'ger':'%s auswhlen','eng':'Choose %s','fra':'Choisir %s','esp':'Escoger %s'},
	   'CAPTION_EDIT':{'ger':'%s bearbeiten','eng':'Edit %s','fra':'Travailler %s','esp':'Editar %s','ita':'Stampare %s'},
	   'CAPTION_IMPORTEXPORT':{'ger':'Import/Export %s','eng':'Import/Export %s'},
	   'CAPTION_EXPORT':{'ger':'%s exportieren','eng':'Export %s'},
	   'CAPTION_IMPORT':{'ger':'%s importieren','eng':'Import %s'},
	   'CAPTION_INSERT':{'ger':'%s einfgen','eng':'Insert %s','fra':'Insrer %s','esp':'Insertar %s','ita':'Inserire %s'},
	   'CAPTION_LOCKED':{'ger':'%s gesperrt','eng':'%s locked'},
	   'CAPTION_UPLOAD':{'ger':'%s hochladen','eng':'Upload %s'},
	   'CAPTION_LOGO':{'ger':'Logo  (Management-Interface)','eng':'Logo (Management-Interface)'},
	   'CAPTION_ADDUSER':{'ger':'Neuen Benutzer zu %s hinzufgen','eng':'Create new user for %s'},
	   'CAPTION_ADDROLE':{'ger':'Neue Rolle zu %s hinzufgen','eng':'Create new role for %s'},
	   'CAPTION_METADATA':{'ger':'%s Metadaten','eng':'Metadata %s'},
	   'CAPTION_METAOBJ':{'ger':'Spezielle Dokumente','eng':'Special Documents'},
	   'CAPTION_PROPERTIES':{'ger':'%s-Eigenschaften','eng':'Properties %s','fra':'Proprits %s','esp':'Propiedades %s','ita':'Propriet %s'},
	   
	   'ACTION0':{'ger':'Aktion auswhlen','eng':'Select action','fra':'Choisissez l\'action','esp':'Escoja la accin'},
	   'ACTION_SELECT':{'ger':'%s auswhlen','eng':'Select %s','fra':'Choisissez %s','esp':'Escoja %s'},
	   
	   'ACTION_CLEAR':{'ger':'Alle Unterobjekte lschen','eng':'Delete all subobjects'},
	   'ACTION_INSERT':{'ger':'Neu zu %s','eng':'Add to %s'},
	   'ACTION_DELETE':{'ger':'Lschen','eng':'Delete','fra':'Supprimer','esp':'Borrar','ita':'Cancellare'},
	   'ACTION_FADE':{'ger':'einblenden/ausblenden','eng':'fade in/out'},
	   'ACTION_EDIT_CELL':{'ger':'Zelle bearbeiten','eng':'Edit cell'},
	   'ACTION_MERGE_CELLS':{'ger':'Zellen verbinden','eng':'Merge cells'},
	   'ACTION_SPLIT_CELLS':{'ger':'Zelle teilen','eng':'Split cells'},
	   'ACTION_DELETE_CELL':{'ger':'Zelle lschen','eng':'Delete cell'},
	   'ACTION_DELETE_CELLS':{'ger':'Zellen lschen','eng':'Delete cells'},
	   'ACTION_INSERT_CELL':{'ger':'Zelle einfgen','eng':'Insert cell'},
	   'ACTION_DELETE_ROW':{'ger':'Zeile lschen','eng':'Delete row','esp':'Borrar fila','ita':'Cancellare fila'},
	   'ACTION_DELETE_ROWS':{'ger':'Zeilen lschen','eng':'Delete rows','esp':'Borrar fila','ita':'Cancellare fila'},
	   'ACTION_INSERT_ROW':{'ger':'Zeile einfgen','eng':'Insert row'},
	   'ACTION_DELETE_COL':{'ger':'Spalte lschen','eng':'Delete column','esp':'Borrar columna','ita':'Cancellare colonna'},
	   'ACTION_DELETE_COLS':{'ger':'Spalten lschen','eng':'Delete columns','esp':'Borrar columna','ita':'Cancellare colonna'},
	   'ACTION_INSERT_COL':{'ger':'Spalte einfgen','eng':'Insert column'},
	   'ACTION_OUTDENT':{'ger':'Einzug verkleinern','eng':'Decrease indent'},
	   'ACTION_INDENT':{'ger':'Einzug vergrssern','eng':'Increase indent'},
	   'ACTION_MOVEUP':{'ger':'Nach oben verschieben','eng':'Move up'},
	   'ACTION_MOVEDOWN':{'ger':'Nach unten verschieben','eng':'Move down'},
	   'ACTION_MOVELEFT':{'ger':'Nach links verschieben','eng':'Move left'},
	   'ACTION_MOVERIGHT':{'ger':'Nach rechts verschieben','eng':'Move right'},

	   'BTN_CUT':{'ger':'Ausschneiden','eng':'Cut','fra':'Dcouper','esp':'Cortar','ita':'Tagliare'},
	   'BTN_COPY':{'ger':'Kopieren','eng':'Copy','fra':'Copier','esp':'Copiar','ita':'Copiare'},
	   'BTN_PASTE':{'ger':'Einfgen','eng':'Paste','fra':'Insrer','esp':'Pegar','ita':'Incollare'},
	   
	   'LANG':{'ger':'Deutsch','eng':'English','fra':'Franais','esp':'Espaol','ita':'Italiano'},
	   
	   'ALIGN0':{'ger':'Ausrichtung auswhlen','eng':'Select alignment'},
	   'ALIGN1':{'ger':'Linksbndig','eng':'Left','esp':'A la izquierda','ita':'Alla sinistra'},
	   'ALIGN2':{'ger':'Rechtsbndig','eng':'Right','esp':'A la derecha','ita':'Al centro'},
	   'ALIGN3':{'ger':'Zentriert','eng':'Center','esp':'Centrar','ita':'Alla destra'},
	   
	   'MONTH1':{'ger':'Januar','eng':'January'},
	   'MONTH2':{'ger':'Februar','eng':'February'},
	   'MONTH3':{'ger':'Mrz','eng':'March'},
	   'MONTH4':{'ger':'April','eng':'April'},
	   'MONTH5':{'ger':'Mai','eng':'May'},
	   'MONTH6':{'ger':'Juni','eng':'June'},
	   'MONTH7':{'ger':'Juli','eng':'July'},
	   'MONTH8':{'ger':'August','eng':'August'},
	   'MONTH9':{'ger':'September','eng':'September'},
	   'MONTH10':{'ger':'Oktober','eng':'October'},
	   'MONTH11':{'ger':'November','eng':'November'},
	   'MONTH12':{'ger':'Dezember','eng':'December'},

	   'WEEKDAY0':{'ger':'Montag','eng':'Monday','fra':'Lundi','esp':'Lunes'},
	   'WEEKDAY1':{'ger':'Dienstag','eng':'Tuesday','fra':'Mardi','esp':'Martes'},
	   'WEEKDAY2':{'ger':'Mittwoch','eng':'Wednesday','fra':'Mercredi','esp':'Mircoles'},
	   'WEEKDAY3':{'ger':'Donnerstag','eng':'Thursday','fra':'Jeudi','esp':'Jueves'},
	   'WEEKDAY4':{'ger':'Freitag','eng':'Friday','fra':'Vendredi','esp':'Viernes'},
	   'WEEKDAY5':{'ger':'Samstag','eng':'Saturday','fra':'Samedi','esp':'Sbado'},
	   'WEEKDAY6':{'ger':'Sonntag','eng':'Sunday','fra':'Dimanche','esp':'Domingo'},
	   
	   'ACTION_OVERWRITE_METAPATTERN':{'ger':'Existierendes Modul berschreiben...','eng':'Overwrite existing module...'},
	   'ACTION_INSERT_METAPATTERN':{'ger':'Zu Modulen hinzufgen...','eng':'Add to modules...'},
	   
           'ACTION_MANAGE_COMMITVERSIONCHANGES':{'ger':'nderungen an %s freigegeben','eng':'Committed modifications of %s'},
           'ACTION_MANAGE_ROLLBACKVERSIONCHANGES':{'ger':'nderungen an %s zurckgenommen','eng':'Rolled back modifications of %s'},
           'ACTION_MANAGE_REJECTVERSIONCHANGES':{'ger':'nderungen an %s abgelehnt','eng':'Rejected modifications of %s'},
           'ACTION_MANAGE_REQUESTVERSIONCHANGES':{'ger':'Freigabe fr nderungen an %s beantragt','eng':'Requested commit for modifications of %s'},

	   'TIME_FMT':{'ger':'%H:%M:%S','eng':'%H:%M:%S','fra':'%H:%M:%S','esp':'%H:%M:%S'},
	   'DATE_FMT':{'ger':'%d.%m.%Y','eng':'%Y/%m/%d','fra':'%d.%m.%Y','esp':'%d.%m.%Y'},
	   'DATETIME_FMT':{'ger':'%d.%m.%Y %H:%M:%S','eng':'%Y/%m/%d %H:%M:%S','fra':'%d.%m.%Y %H:%M:%S','esp':'%d.%m.%Y %H:%M:%S'},
	  }


    # -------------------------------------------------------------------------------------------------
    #	Language.getManageLanguages:
    # -------------------------------------------------------------------------------------------------
    def getManageLanguages(self):
      return ['ger','eng','fra','esp','ita']


    # -------------------------------------------------------------------------------------------------
    #	Language.getLangFmtDate:
    # -------------------------------------------------------------------------------------------------
    def getLangFmtDate(self, t, lang, fmt='DATETIME_FMT'):
      try:
        if not type(t) is type(()):
          t = time.localtime(t)
        if fmt == 'Day':
          return self.getLangStr('WEEKDAY%i'%t[6],lang)
        elif fmt == 'Month':
          return self.getLangStr('MONTH%i'%t[1],lang)
        else:
          return time.strftime(self.getLangStr(fmt,lang),t)
      except:
        return str(t)


    # -------------------------------------------------------------------------------------------------
    #	Language.parseLangFmtDate:
    # -------------------------------------------------------------------------------------------------
    def parseLangFmtDate(self, s, lang, fmt='DATETIME_FMT', recflag=0):
      tRtn = None
      if s == None or \
         (type(s) is type('') and len(s) == 0):
        return tRtn
      try:
        sTime = s
        dctTime = {'Y':0,'m':0,'d':0,'H':0,'M':0,'S':0}
        fmtStr = self.getLangStr(fmt,lang)
        while string.find(fmtStr,'%')>=0:
          i = string.find(fmtStr,'%')+1
          sDirective = fmtStr[i]
          fmtStr = fmtStr[i+1:]
          if len(fmtStr)==0:
            dctTime[sDirective] = int(string.strip(sTime))
            sTime = ''
          else:
            i = string.find(sTime,fmtStr[0])
            dctTime[sDirective] = int(string.strip(sTime[:i]))
            sTime = sTime[i+1:]
        tTuple = (dctTime['Y'],dctTime['m'],dctTime['d'],dctTime['H'],dctTime['M'],dctTime['S'],0,1,-1)
        #++ print "[parseLangFmtDate]: tTuple=%s"%(str(tTuple))
        tRtn = tTuple # time.mktime(tTuple)
      except:
        #++ print "[parseLangFmtDate]: Exception!"
        if recflag == 0:
          sTime = s
          langAlt = 'ger'
          if lang == langAlt:
            langAlt = 'eng'
          tRtn = self.parseLangFmtDate(sTime,langAlt,fmt,1)
      return tRtn


    # -------------------------------------------------------------------------------------------------
    #	Language.getLangStr:
    # -------------------------------------------------------------------------------------------------
    def getLangStr(self, key, lang=None):
        """ Language.getLangStr(key) """
        
        # language
        if lang == None:
          try:
            lang = self.getPrimaryLanguage()
          except:
            lang = 'eng'
            
        # Return custom value.
        try:
          dict = self.get_lang_dict()
          if dict.has_key(key):
            if dict[key].has_key(lang):
              return dict[key][lang]
        except:
          pass
            
        # Return system value.
        if self.dctLangStr.has_key(key):
          if not self.dctLangStr[key].has_key(lang):
            lang = 'eng'
          return self.dctLangStr[key][lang]
            
        return key

###################################################################################################
